<?php
session_start(); // create a new session ID file / retrieve a current session ID file
include('mysqli_connect.php'); // make sure no white spaces 

// Pass form data
$username = mysqli_real_escape_string($dbc, trim($_POST['username']));
$password = mysqli_real_escape_string($dbc, trim($_POST['password']));

// Formulate the query to check if password matches with the database
$query = "SELECT * from users WHERE username = '$username' AND password = SHA2('$password', 256)"; 
// Changed 'users' to match the table name in the database

// Run the query
$result = mysqli_query($dbc, $query);

$row_cnt = mysqli_num_rows($result);

if ($row_cnt == 1) { // if there is a match found
    // Set a session variable
    $_SESSION['username'] = $username; // define a session var -> can be accessed later

    $row = mysqli_fetch_array($result, MYSQLI_ASSOC);
    $_SESSION['firstname'] = $row['firstname']; // Changed column name to match 'firstname'
    $_SESSION['lastname'] = $row['lastname']; // Added 'lastname' to session
    $_SESSION['email'] = $row['email']; // Changed column name to match 'email'
    
    // Combine firstname and lastname to create full name and store it in session
    $_SESSION['fullname'] = $row['firstname'] . ' ' . $row['lastname']; // Full name

    // Check if the user is Arthur or Merlin (assuming there is an 'is_admin' or similar column with tinyint(1) value)
    if ($row['is_admin'] == 1) { // Assuming 'is_admin' is the column with tinyint(1) value
        header('location: secret_page_admin.php');
        exit();
    } else {
        header("Location: secret_page.php");
        exit();
    }
} else { // else, no match
    // Redirect user to the login page
    header("Location: login_form.php");
    exit();
}
?>